Package ghidra.app.util.demangler

# Class DemangledLambda

java.lang.Object
ghidra.app.util.demangler.DemangledObject
ghidra.app.util.demangler.DemangledFunction
ghidra.app.util.demangler.DemangledLambda

All Implemented Interfaces:
  `Demangled`

public class DemangledLambda extends DemangledFunction
Represents a demangled lambda function

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.demangler.DemangledFunction

  `callingConvention, CONST, isOverloadedOperator, parameters, PTR64, RESTRICT, returnType, signatureSourceType, template, thisPassedOnStack, UNALIGNED, VOLATILE`

  ### Fields inherited from class ghidra.app.util.demangler.DemangledObject

  `basedName, EMPTY_STRING, isRestrict, isStatic, isThunk, isUnaligned, isVirtual, mangled, memberScope, namespace, NAMESPACE_SEPARATOR, originalDemangled, SPACE, SPACE_PATTERN, specialPrefix, storageClass, visibility`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DemangledLambda(String mangled, String originalDemangled, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addParameters(StringBuilder buffer, boolean format)`
  `String`
  `getNamespaceName()`
  Returns this object's namespace name without the fully-qualified parent path.
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.util.demangler.DemangledFunction

  `addParameter, applyTo, createFunction, getCallingConvention, getParameters, getParameterString, getReturnType, getSignature, getSignatureSourceType, getTemplate, isAlreadyDemangled, isDefinedFunctionDataTypes, isTrailingConst, isTrailingPointer64, isTrailingRestrict, isTrailingUnaligned, isTrailingVolatile, isTypeCast, maybeCreateClassStructure, setCallingConvention, setOverloadedOperator, setReturnType, setSignatureSourceType, setTemplate, setTemplatedConstructorType, setThrowAttribute, setTrailingConst, setTrailingPointer64, setTrailingRestrict, setTrailingUnaligned, setTrailingVolatile, setTypeCast`

  ### Methods inherited from class ghidra.app.util.demangler.DemangledObject

  `applyDemangledName, applyDemangledName, applyPlateCommentOnly, createNamespace, demangledNameSuccessfully, ensureNameLength, generatePlateComment, getBasedName, getDemangledName, getErrorMessage, getMangledString, getMemberScope, getName, getNamespace, getNamespaceString, getOriginalDemangled, getSignature, getSpecialPrefix, getStorageClass, getVisibility, isConst, isPointer64, isRestrict, isStatic, isThunk, isUnaligned, isVirtual, isVolatile, setBackupPlateComment, setBasedName, setConst, setErrorMessage, setMemberScope, setName, setNamespace, setPointer64, setRestrict, setSpecialPrefix, setStatic, setStorageClass, setThunk, setUnaligned, setVirtual, setVisibilty, setVolatile`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DemangledLambda

    public DemangledLambda(String mangled, String originalDemangled, String name)

- ## Method Details

  - ### getNamespaceName

    public String getNamespaceName()
    Description copied from interface: `Demangled`
    Returns this object's namespace name without the fully-qualified parent path. The value returned here may have had some special characters replaced, such as ' ' replaced with '_' and '::' replaced with '--'.
    Specified by:
      `getNamespaceName` in interface `Demangled`
    Overrides:
      `getNamespaceName` in class `DemangledFunction`
    Returns:
      the name

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `DemangledObject`

  - ### addParameters

    protected void addParameters(StringBuilder buffer, boolean format)
    Overrides:
      `addParameters` in class `DemangledFunction`